function smdtb_Search(event, type)
{
    // Create a variable and assign it the value of our document window
    var win = window._content.document;
    
    // Create a few other handy variables
    var URL = "";
    var isEmpty = false;

    // Get a handle to our search terms box
    var searchTermsBox = document.getElementById("smdtb-SearchTerms");
    
    // Get the value in the search terms box, trimming whitespace as necessary
    var searchTerms = smdtb_TrimString(searchTermsBox.value);

    // If there are no search terms, than we set isEmpty to true
    // Otherwise, we convert the search terms to a safe URI version
    if(searchTerms.length == 0) { isEmpty = true; }
    else { searchTerms = smdtb_ConvertTermsToURI(searchTerms); }

    switch(type)
    {
    
    // Build up the URL for a PVG search
    case "pvg":
        if(isEmpty) { URL = "http://www.sheetmusicdirect.com/BrowseArrangements.aspx?category=store1_arrangement63"; }
        else        { URL = "http://www.sheetmusicdirect.com/Search.aspx?searchtext=" + searchTerms + "&arrangement=PVG"; }
        break;
    
    // Build up the URL for a TAB search
    case "tab":
        if(isEmpty) { URL = "http://www.sheetmusicdirect.com/BrowseArrangements.aspx?category=store1_arrangement37"; }
        else        { URL = "http://www.sheetmusicdirect.com/Search.aspx?searchtext=" + searchTerms + "&arrangement=TAB"; }
        break;
        
    // Build up the URL for a BTAB search
    case "btab":
        if(isEmpty) { URL = "http://www.sheetmusicdirect.com/BrowseArrangements.aspx?category=store1_arrangement11"; }
        else        { URL = "http://www.sheetmusicdirect.com/Search.aspx?searchtext=" + searchTerms + "&arrangement=BTAB"; }
        break;
        
    // Build up the URL for a PF search
    case "pf":
        if(isEmpty) { URL = "http://www.sheetmusicdirect.com/BrowseArrangements.aspx?category=store1_arrangement61"; }
        else        { URL = "http://www.sheetmusicdirect.com/Search.aspx?searchtext=" + searchTerms + "&arrangement=PF"; }
        break;
        
    // Build up the URL for a EPF search
    case "epf":
        if(isEmpty) { URL = "http://www.sheetmusicdirect.com/BrowseArrangements.aspx?category=store1_arrangement162"; }
        else        { URL = "http://www.sheetmusicdirect.com/Search.aspx?searchtext=" + searchTerms + "&arrangement=EPF"; }
        break;
    
    // Build up the URL for a normal search
    case "smd":
    default:
        // Build up the URL that we should visit when we search
        if(isEmpty) { URL = "http://www.sheetmusicdirect.com/"; }
        else        { URL = "http://www.sheetmusicdirect.com/Search.aspx?searchtext=" + searchTerms; }
        break;
    }
    
    // Load the URL in the browser window using the smdtb_LoadURL function
    smdtb_LoadURL(URL);
}



function smdtb_TrimString(string)
{
    // Return empty if nothing was passed in
    if (!string) return "";
    
    // Efficiently replace any leading or trailing whitespace
    var value = string.replace(/^\s+/, '');
    value = string.replace(/\s+$/, '');
    
    // Replace any multiple whitespace characters with a single space
    value = value.replace(/\s+/g, ' ');
    
    // Return the altered string
    return value;
}

function smdtb_ConvertTermsToURI(terms)
{
    // Split up the search terms based on the space character
    var termArray = new Array();
    termArray = terms.split(" ");
    var result = "";

    // Loop through the search terms, building up the result string
    for(var i=0; i<termArray.length; i++)
    {
        if(i > 0) { result += "+"; }
        
        // Call the built-in function encodeURIComponent() to clean up
        // this search term (making it safe for use in a URL)
        result += encodeURIComponent(termArray[i]);
    }

    // Return the result
    return result;
}

function smdtb_LoadURL(URL)
{
    // Set the document's location to the incoming URL
    window._content.document.location = URL;
    
    // Make sure we get the focus
    window.content.focus();
}

function smdtb_Populate()
{
    // Get the menu element that we will be working with
    var menu = document.getElementById("smdtb-SearchTermsMenu");

    // Clean up whatever is currently in the menu
    for(var i=menu.childNodes.length - 1; i>=0; i--) {
        menu.removeChild(menu.childNodes.item(i));
    }

    // This string contains 5 "search terms", each separated by two pipes (||)
    var terms = "Queen||Green Day||Coldplay||The Beatles||Robbie Williams";

    // Create an array based on the terms in the string above
    var termArray = new Array();
    termArray = terms.split("||");

    // Load the search terms into our menu
    for(var i=0; i<termArray.length; i++)
    {
        // For each search term, create a menu item element
        var tempItem = null;
        tempItem = document.createElement("menuitem");

        // Set the menuitem element's various attributes:
        // The label will be the search term itself
        // The tooltip will be the text "Dynamic Item #", where # is the number of the item
        
        tempItem.setAttribute("label", termArray[i]);
        tempItem.setAttribute("tooltiptext", "Dynamic Item " + (i+1));

        // Add the item to our menu
        menu.appendChild(tempItem);
    }
}


// Buttons for internationalisation

var smdtbHome = "http://www.sheetmusicdirect.com/";

var genre = "http://www.sheetmusicdirect.com/BrowseGenres.aspx";
var genrePop = "http://www.sheetmusicdirect.com/BrowseGenres.aspx?genre=store1_genre55";
var genreRock = "http://www.sheetmusicdirect.com/BrowseGenres.aspx?genre=store1_genre59";
var genreDisney = "http://www.sheetmusicdirect.com/BrowseGenres.aspx?genre=store1_genre35";
var genreJazz = "http://www.sheetmusicdirect.com/BrowseGenres.aspx?genre=store1_genre50";
var genreClassical = "http://www.sheetmusicdirect.com/BrowseGenres.aspx?genre=store1_genre61";
var genreFilm = "http://www.sheetmusicdirect.com/BrowseGenres.aspx?genre=store1_genre52";

var artists = "http://www.sheetmusicdirect.com/BrowseAToZ.aspx";
var bestsell = "http://www.sheetmusicdirect.com/Bestsellers.aspx";
var newRel = "https://www.sheetmusicdirect.com/NewReleases.aspx";
var account = "https://www.sheetmusicdirect.com/Account.aspx";
var helpme = "http://www.sheetmusicdirect.com/Help/Default.aspx";

// End of i18n buttons